Bug 188358 - policy update for new ffmpeg needed
policy update for new ffmpeg needed
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: Patch
Depends On:
  Show dependency treegraph
Reported: 2006-04-08 08:31 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.3.6-3.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-09 07:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for newer ffmpeg libraries (1.21 KB, patch)
2006-04-08 08:31 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-04-08 08:31:24 EDT
New ffmpeg versions (soon to appear eg. in livna.org) install their libs with
proper versioned sonames; however that's not caught by the current selinux
policy, resulting in for example VDR (using the dxr3 plugin) startup failures. 
Fix attached.
Comment 1 Ville Skyttä 2006-04-08 08:31:24 EDT
Created attachment 127505 [details]
Fix for newer ffmpeg libraries
Comment 3 Daniel Walsh 2006-05-09 12:42:24 EDT
Fixed in rawhide, Will back port next week.
Comment 4 Ville Skyttä 2006-08-09 12:50:39 EDT
Damn, things have broken again, and my initial patch was probably incorrect too.
 The correct regexps for policy/modules/system/libraries.fc would be:


In the current FC devel package, only one "-" needs to be removed from the
libavcodec one.  The current FC5 policy should change all of the corresponding
lines to the above.
Comment 5 Ville Skyttä 2006-08-09 13:52:27 EDT
Er, libavformat appears to be ok in FC5 too, so only libavcodec and libavutil
need changing in it.
Comment 6 Daniel Walsh 2006-08-11 13:08:49 EDT
Fixed in selinux-policy-2_3_6-3_fc5
Comment 7 Ville Skyttä 2006-09-09 07:37:04 EDT
Looks good, thanks.

Note You need to log in before you can comment on or make changes to this bug.